﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Data;

namespace XamPivotGridTooltipDemo
{
    public class ActualToolTipDataContextConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            DependencyObject val = value as DependencyObject;
            if (val != null)
            {
                PivotCellControl cell = Infragistics.Windows.Utilities.GetAncestorFromType(val, typeof(PivotCellControl), false) as PivotCellControl;
                if(cell != null)
                {
                    return cell;
                }
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
